libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
osmo_gprs_ns2_prim Struct Reference

`#include <gprs_ns2.h>`

## Data Fields
struct osmo_prim_hdr | oph
uint16_t | nsei
uint16_t | bvci
union {
struct {
enum gprs_ns2_change_ip_endpoint change
uint32_t link_selector
long long _resource_distribution_placeholder1
long long _resource_distribution_placeholder2
long long _resource_distribution_placeholder3
} unitdata
struct {
enum gprs_ns2_congestion_cause cause
} congestion
struct {
enum gprs_ns2_affecting_cause cause
char * nsvc
int transfer
bool persistent
bool first
uint16_t mtu
} status
} | u

## Field Documentation

## ◆ _resource_distribution_placeholder1

long long osmo_gprs_ns2_prim::_resource_distribution_placeholder1

## ◆ _resource_distribution_placeholder2

long long osmo_gprs_ns2_prim::_resource_distribution_placeholder2

## ◆ _resource_distribution_placeholder3

long long osmo_gprs_ns2_prim::_resource_distribution_placeholder3

## ◆ bvci

uint16_t osmo_gprs_ns2_prim::bvci

Referenced by bssgp2_nsi_tx_ptp(), gprs_ns2_recv_prim(), and ns2_prim_status_ind().

## ◆ cause [1/2]

enum gprs_ns2_congestion_cause osmo_gprs_ns2_prim::cause

Referenced by ns2_prim_status_ind().

## ◆ cause [2/2]

enum gprs_ns2_affecting_cause osmo_gprs_ns2_prim::cause

## ◆ change

enum gprs_ns2_change_ip_endpoint osmo_gprs_ns2_prim::change

Referenced by gprs_ns2_recv_prim().

## ◆

struct { ... } osmo_gprs_ns2_prim::congestion

## ◆ first

bool osmo_gprs_ns2_prim::first

Referenced by ns2_prim_status_ind().

## ◆ link_selector

uint32_t osmo_gprs_ns2_prim::link_selector

Referenced by bssgp2_nsi_tx_ptp(), and gprs_ns2_recv_prim().

## ◆ mtu

uint16_t osmo_gprs_ns2_prim::mtu

Referenced by ns2_prim_status_ind().

## ◆ nsei

uint16_t osmo_gprs_ns2_prim::nsei

Referenced by bssgp2_nsi_tx_ptp(), gprs_ns2_recv_prim(), and ns2_prim_status_ind().

## ◆ nsvc

char* osmo_gprs_ns2_prim::nsvc

Referenced by ns2_prim_status_ind().

## ◆ oph

struct osmo_prim_hdr osmo_gprs_ns2_prim::oph

Referenced by bssgp2_nsi_tx_ptp(), and ns2_prim_status_ind().

## ◆ persistent

bool osmo_gprs_ns2_prim::persistent

Referenced by ns2_prim_status_ind().

## ◆

struct { ... } osmo_gprs_ns2_prim::status

Referenced by ns2_prim_status_ind().

## ◆ transfer

int osmo_gprs_ns2_prim::transfer

Referenced by ns2_prim_status_ind().

## ◆

union { ... } osmo_gprs_ns2_prim::u

Referenced by bssgp2_nsi_tx_ptp(), gprs_ns2_recv_prim(), and ns2_prim_status_ind().

## ◆

struct { ... } osmo_gprs_ns2_prim::unitdata

Referenced by bssgp2_nsi_tx_ptp(), and gprs_ns2_recv_prim().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_ns2.h